Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | List of all members
eZCompressionHandler Class Referenceabstract

Interface for file handlers using compression. More...

Inheritance diagram for eZCompressionHandler:

## Public Member Functions
| compress ( $source)
| decompress ( $source)
Public Member Functions inherited from eZFileHandler
| __construct ( $handlerIdentifier=false, $handlerName=false)
| isOpen ()
| isBinaryMode ()
| filename ()
| mode ()
| name ()
| identifier ()
| exists ( $filename=false)
| isDirectory ( $filename=false)
| isExecutable ( $filename=false)
| isFile ( $filename=false)
| isLink ( $filename=false)
| isReadable ( $filename=false)
| isWriteable ( $filename=false)
| statistics ( $filename=false)
| open ( $filename, $mode, $binaryFile=true)
| close ()
| unlink ( $filename=false)
| rename ( $destinationFilename, $sourceFilename=false)
| read ( $length=false)
| write ( $data, $length=false)
| flush ()
| seek ( $offset, $whence=SEEK_SET)
| rewind ()
| tell ()
| eof ()
| passtrough ( $closeFile=true)
| doOpen ( $filename, $mode)
| doClose ()
| doSeek ( $offset, $whence)
| doRewind ()
| doTell ()
| doEOF ()
| doPasstrough ( $closeFile=true)
| doRead ( $length=false)
| doWrite ( $data, $length=false)
| doFlush ()
| error ()
| errorString ()
| errorNumber ()
| duplicate ()

## Additional Inherited Members
Static Public Member Functions inherited from eZFileHandler
static | isAvailable ()
static | linkCopy ( $sourceFilename, $destinationFilename, $symbolicLink=true)
static | symlink ( $sourceFilename, $destinationFilename)
static | link ( $sourceFilename, $destinationFilename)
static | move ( $sourceFilename, $destinationFilename)
static | copy ( $sourceFilename, $destinationFilename)
static | doUnlink ( $filename)
static | doExists ( $filename)
static | doIsDirectory ( $filename)
static | doIsExecutable ( $filename)
static | doIsFile ( $filename)
static | doIsLink ( $filename)
static | doIsReadable ( $filename)
static | doIsWriteable ( $filename)
static | doStatistics ( $filename)
static | doRename ( $destinationFilename, $sourceFilename)
static | instance ( $identifier, $filename=false, $mode=false, $binaryFile=true)
Public Attributes inherited from eZFileHandler
| $Identifier
| $FileHandler
| $Name
| $FileName
| $Mode
| $IsBinary
| $IsOpen

## Detailed Description

Interface for file handlers using compression.

Generic interface for all file handlers using compression.

This class introduces two new functions from the eZFileHandler base class, they are compress() and decompress() and are used for string based compression.

# Creating specific handlers

The compressor handlers must inherit from this class and reimplement some virtual functions.

For dealing with compressed strings the following functions must be reimplemented. compress() and decompress()

The handlers must also implement the virtual functions defined in eZFileHandler.

Definition at line 34 of file ezcompressionhandler.php.

## Member Function Documentation

## ◆ compress()

eZCompressionHandler::compress | ( |  | $source | ) |
| pure virtual

Compress the $source string and return it as compressed data.

Implemented in eZGZIPZLIBCompressionHandler, eZGZIPShellCompressionHandler, eZForwardCompressionHandler, and eZBZIP2Handler.

Definition at line 40 of file ezcompressionhandler.php.

## ◆ decompress()

eZCompressionHandler::decompress | ( |  | $source | ) |
| pure virtual

Decompress the $source string containing compressed data and return it as a string.

Implemented in eZGZIPZLIBCompressionHandler, eZGZIPShellCompressionHandler, eZForwardCompressionHandler, and eZBZIP2Handler.

Definition at line 48 of file ezcompressionhandler.php.

The documentation for this class was generated from the following file:

- ezcompressionhandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.